* bob.buildout
  * v2.1.3 (Sep 22, 2017 10:37)
     * port to new CI/CD
  * v2.1.4 (Sep 22, 2017 11:34)
     * port to new CI/CD
  * v2.1.5 (Sep 22, 2017 13:58)
     * no significant changes
  * v2.1.6 (Feb 27, 2018 16:29)
     * Enables built-in conda packaging
     * Provides user/development guides
     * Provides an alternative for gdb (based on lldb) for MacOS
     * Improve handling of environments for Python 3.6 (issue #24)
  * none
* bob.extension
  * minor
     * Big changes to the documentation of this package: divided guide in
       package development and package creation; added section for implementing
       configuration and command-line application for bob extensions.
     * Initial implementation for a (more) centrally-available python-based
       configuration system. The implementation is based on the config-file
       support that existed in bob.bio.base. Since the initial port, it has
       improved quite a lot to support a number of features. Check the
       documentation for details and how to use these on your packages.
     * Initial implementation of a command-line infrastructure for bob
       packages. The implementation is based on click and extensible to other
       packages in the Bob framework. Check the documentation for details.
     * Added support for stacked processors
     * Fixes for compilation from scratch on newer versions of gcc, namely by
       having a more comprehensive use of "-isystem"
     * Improvements to our internal search-path functionality for building
       other packages
     * Ported to new CI/CD
* bob.blitz
  * patch
     * Migrate to conda based CI
* bob.core
  * minor
     * Migrate to conda based CI
     * Fix test values (closes bob.core#8)
     * Use log modules from bob.extension
     * improve tests
* bob.io.base
  * patch
     * Migrate to conda based CI
* bob.math
  * v3.1.0 (Apr 10, 2018 13:30)
     * Migrate to conda based CI
     * Add blas features
     * trust numpy in finding blas/lapack. Fixes bob.math#14
  * patch
     * No changes.
* bob.measure
  * major
     * Fixed issue with FAR and FRR values being exactly 1 or 0
     * Corrected the threshold calculation in far_threshold() and frr_threshold(), which now guarantees to produce at most of given FAR or FRR values.
     * Never return NaNs for far_threshold() and frr_threshold() functions
     * Optimized implementation of ROC for a given FAR
     * Added an option to capture the output in a log file
     * Updated docs and tests accordingly
* bob.io.image
  * v2.4.0
     * Fixed issue with PGM image load when such images have extra bytes, see bob.io.image!36
     * Relax matplotlib requirement bob.io.image!39
     * Migrate to conda based CI
  * patch
     * No changes.
* bob.db.base
  * major
     * Migrate to conda based CI
     * Implemented local file upload bob.db.base#20
     * Added support for JSON annotation format
     * Unified use of `original_directory` and `original_extension`
     * Minor improvements
* bob.io.video
  * minor
     * Migrate to conda based CI
     * adjust test values to openh264
     * Revamped code for ffmpeg-3.1+ s
     * Fixes bob.io.video#10
* bob.io.matlab
  * patch
     * Migrate to conda based CI
* bob.io.audio
  * patch
     * Migrate to conda based CI
* bob.sp
  * patch
     * Migrate to conda based CI
* bob.ap
  * patch
     * Migrate to conda based CI
* bob.ip.base
  * v2.2.0
     * Improved compatibility for non-C++-11 compilers
     * Migrate to conda based CI
     * Fix matplotlib requirement
  * patch
     * No changes.
* bob.ip.color
  * patch
     * Migrate to conda based CI
* bob.ip.draw
  * patch
     * Migrate to conda based CI
* bob.ip.gabor
  * patch
     * Migrate to conda based CI
* bob.learn.activation
  * patch
     * Migrate to conda based CI
* bob.learn.libsvm
  * minor
     * Migrate to conda based CI
     * Makes sure we can load/save files with arbitrary extensions
* bob.learn.linear
  * patch
     * Migrate to conda based CI
* bob.learn.mlp
  * patch
     * Migrate to conda based CI
* bob.learn.boosting
  * patch
     * Migrate to conda based CI
* bob.db.iris
  * patch
     * Migrate to conda based CI
* bob.learn.em
  * patch
     * Migrate to conda based CI
     * Add test time dependencies
     * remove unused ref 5. please see bob.learn.em#27
* bob.db.wine
  * patch
     * Migrate to conda based CI
* bob.db.mnist
  * minor
     * Migrate to conda based CI
     * Now download metadata during build
* bob.db.atnt
  * patch
     * Migrate to conda based CI
* bob.ip.facedetect
  * patch
     * Migrate to conda based CI
* bob.ip.optflow.hornschunck
  * patch
     * Migrate to conda based CI
* bob.ip.optflow.liu
  * patch
     * Migrate to conda based CI
* bob.ip.flandmark
  * patch
     * Migrate to conda based CI
* gridtk
  * v1.5.0 (Nov 20, 2017 09:07)
     * Implemented the option `--repeat <n>` in jman submit. Now we can submit the same job `n` times in a serial manner -- Merge gridtk!10
     * Appended the idiap gpu short queue in our queue list
     * Improved python 3 compatibility (Merge gridtk!7)
     * Created the `jgen` tool (https://www.idiap.ch/software/bob/docs/bob/gridtk/master/generate.html) -- Merge gridtk!8
     * Removed overwriting job ID when stopping jobs
  * v1.6.0
     * `jgen` tool: added an option `--unique-aggregate` to make the aggregate output unique
     * Migrate to conda based CI
     * Improve tests and docs
  * patch
     * no changes.
* bob.ip.qualitymeasure
  * minor
     * Migrated to conda based CI
     * Updates in the README
     * Removed bootstrap-buildout functionality
     * Added an optional reference image to Galbally IQM extractor
* bob.ip.skincolorfilter
  * patch
     * Migrate to conda based CI
* bob.ip.facelandmarks
  * patch
     * Migrate to conda based CI
* bob.ip.dlib
  * v1.0.2 (Oct 19, 2017 10:18)
     * Fixed issue with possible negative coordinates and empty image
  * v1.0.3
     * Migrate to conda based CI
     * Improved documentation and tests
  * patch
     * No changes.
* bob.db.arface
  * v2.1.4 (Sep 22, 2017 14:17)
  * patch
     * Migrate to conda based CI
* bob.db.asvspoof
  * v1.1.7 (Sep 22, 2017 14:20)
     * Docs updates
  * minor
     * Migrate to conda based CI
     * Removed redundant debug_asvspoof script
* bob.db.asvspoof2017
  * v1.0.3 (Sep 22, 2017 14:20)
     * Docs updates
  * minor
     * Migrate to conda based CI
     * Removed redundant debug_asvspoof2017 script
* bob.db.atvskeystroke
  * v2.1.5 (Sep 22, 2017 14:21)
  * patch
     * Migrate to conda based CI
* bob.db.avspoof
  * v2.2.8 (Sep 22, 2017 14:22)
  * minor
     * Migrate to conda based CI
     * Removed redundant debug_avspoof.py script
* bob.db.banca
  * v2.1.5 (Sep 22, 2017 14:22)
  * patch
     * Migrate to conda based CI
* bob.db.biosecure
  * v2.1.5 (Sep 22, 2017 14:22)
  * patch
     * Migrate to conda based CI
* bob.db.biosecurid.face
  * v2.1.8 (Sep 22, 2017 14:22)
  * patch
     * Migrate to conda based CI
* bob.db.casme2
  * v2.1.5 (Sep 22, 2017 14:23)
  * patch
     * Migrate to conda based CI
* bob.db.caspeal
  * v2.1.5 (Sep 22, 2017 14:23)
  * patch
     * Migrate to conda based CI
* bob.db.cohface
  * v1.0.4 (Sep 22, 2017 14:24)
  * minor
     * Migrate to conda based CI
     * Add a ref to the package name
* bob.db.frgc
  * v2.1.3 (Sep 22, 2017 14:24)
  * patch
     * Migrate to conda based CI
* bob.db.gbu
  * v2.1.4 (Sep 22, 2017 14:24)
  * patch
     * Migrate to conda based CI
* bob.db.hci_tagging
  * v1.0.4 (Sep 22, 2017 14:28)
  * minor
     * Migrate to conda based CI
     * Add a ref to the package name
* bob.db.ijba
  * v2.0.3 (Sep 22, 2017 14:28)
  * minor
     * Added missing dependency to bob.io.image (from bob.db.base)
     * Migrate to conda based CI
     * Added bob.measure as requirement
     * Some functionality was moved to bob.bio.face
* bob.db.kboc16
  * v2.0.11 (Sep 22, 2017 14:28)
  * minor
     * Migrate to conda based CI
     * Add a ref to the package name
* bob.db.lfw
  * v2.1.5 (Sep 22, 2017 14:28)
  * patch
     * Migrate to conda based CI
* bob.db.livdet2013
  * v2.0.6 (Sep 22, 2017 14:29)
  * minor
     * Migrate to conda based CI
     * This package does not download metadata (closes bob.db.livdet2013#1)
     * Add a ref to the package name
* bob.db.mobio
  * v2.1.5 (Sep 22, 2017 14:29)
  * minor
     * Update README.rst
     * Migrate to conda based CI
* bob.db.msu_mfsd_mod
  * v2.2.3 (Sep 22, 2017 14:29)
  * patch
     * Migrate to conda based CI
* bob.db.multipie
  * v2.1.4 (Sep 22, 2017 14:29)
  * patch
     * Migrate to conda based CI
* bob.db.nist_sre12
  * v3.0.3 (Sep 22, 2017 14:30)
  * patch
     * Migrate to conda based CI
* bob.db.putvein
  * v1.2.1 (Sep 22, 2017 14:30)
  * minor
     * Fix packaging warnings
     * Migrate to conda based CI
     * Stop downloading metadata (closes bob.db.putvein#2)
* bob.db.replay
  * v3.0.3 (Sep 22, 2017 14:31)
  * patch
     * Migrate to conda based CI
* bob.db.replaymobile
  * v1.1.3 (Sep 22, 2017 14:31)
  * patch
     * Migrate to conda based CI
* bob.db.scface
  * v2.1.5 (Sep 22, 2017 14:31)
  * patch
     * Migrate to conda based CI
* bob.db.utfvp
  * v2.4.1 (Sep 22, 2017 14:32)
     * Packaging changes - no changes to software.
  * major
     * Migrate to conda based CI
     * Overall database refactoring; Improved docs and tests
     * Add information on the annotations
* bob.db.verafinger
  * v1.0.0 (Oct 11, 2017 14:24)
     * Initial release of new VERA fingervein database interface. Deprecates https://gitlab.idiap.ch/bob/bob.db.vera.
  * v2.0.0
     * Migrate to conda based CI
     * Add information on the annotations
     * Unify biometric/presentation-attack interfaces
     * Implement cropped biometric recognition protocols
     * Improved documentation and simplified protocol files
  * patch
     * No changes.  
* bob.db.fv3d
  * v1.0.0 (Oct 11, 2017 15:42)
     * Distribute metadata from webserver
  * v1.1.0
     * Fixes to model.id -> model.name as model identifier
     * Migrate to conda based CI
  * patch
     * No changes.
* bob.db.hkpu
  * major
     * Initial release of Hong Kong Polytechnic University Finger Image Database
     * Added docs and tests
     * Update HKPU filelist with new annotations
     * Migrate to conda based CI (closes bob.db.hkpu#1)
* bob.db.thufvdt
  * major
     * Initial release of Tsinghua University Finger Vein and Finger Dorsal Texture Database
     * Added docs and tests
     * Added protocols so they match paper descriptions
     * Added functions to detect and load RoI annotations
     * Migrate to conda based CI (closes bob.db.thufvdt#1)
* bob.db.mmcbnu6k
  * major
     * Initial release of Chonbuk Nation University Fingervein Database
     * Add protocols and annotations
     * Fixes to model.id -> model.name as model identifier
     * Added docs and tests
     * Migrate to conda based CI (closes bob.db.mmcbnu6k#1)
* bob.db.hmtvein
  * major
     * Initial release of Homologous Multimodal Traits (Fingervein) Database
     * Fixes to model.id -> model.name as model identifier
     * Return any finger name (all are the same) given the first found model
     * Added annotations, documentation, and tests
     * Migrate to conda based CI (closes bob.db.hmtvein#1)
* bob.db.voicepa
  * v1.0.2 (Sep 22, 2017 14:34)
  * minor
     * Migrate to conda based CI
     * fixing issue bob.db.voicepa#1
* bob.db.xm2vts
  * v2.1.4 (Sep 22, 2017 14:36)
  * patch
     * Migrate to conda based CI
* bob.db.youtube
  * v2.1.4 (Sep 22, 2017 14:37)
  * patch
     * Migrate to conda based CI
* bob.db.pericrosseye
  * patch
     * Migrate to conda based CI
* bob.db.cuhk_cufs
  * minor
     * Created methods modality_separator and modalities
     * Included test case for objects.modality
* bob.bio.base
  * v3.2.0 (Sep 22, 2017 10:55)
     * bob.bio.base!89 [ci] Fixed issue with matplotlib
     * bob.bio.base!95 Removed class client from FileListDatabase
     * bob.bio.base!94 Implemented the plots for the Detection Identification Rate (open-set identification)
     * bob.bio.base!93 Corrections in the documentation
     * bob.bio.base!92 Documented the configuration file input for the `verify.py` script
     * bob.bio.base!90 Implemented a way to use, at the same time, 4 and 5 columns score file in the `evaluate.py` script
     * bob.bio.base!88 Improved ROC and CMC plots
     * bob.bio.base!87 Fixed * ZT files are processed even when no ZT processing is wanted
     * bob.bio.base!81 Droped dependency on Latex
     * bob.bio.base!86 Implemented five-column score file -* only during concatenation
     * bob.bio.base!83 Improve suggestion on variable naming convention to match python's standard
     * bob.bio.base!78 Removed `Algorithm.read_probe` method, since this is already solved via `bob.bio.base`
     * bob.bio.base!82 Add a function to read features with generators
  * v3.2.1 (Sep 26, 2017 15:04)
     * Changed backend in `bob/bio/base/scripts/evaluate.py` to `'pdf'` instead of `'agg'`
  * minor
     * Migrate to conda based CI
     * Updated docs and tests
     * Added allow_missing_files option and added tests
     * Removed write_commands function in grid_search (closes bob.bio.base#71)
     * Added annotator, updated documentation accordingly
     * Allow for comment lines in file-lists
     * Improves verbosity for preprocessing, extraction and enrollment
     * bob.db.base.Database is deprecated.
     * Using config file loading mechanism from bob.extension
     * Fix debug message (closes bob.bio.base#103)
     * Fixed the exception that is raised when score file is not found
     * Mentions bob.bio.vein on bob.bio.base docs (closes bob.bio.base#104)
     * Added metadata in preprocessing, feature extraction, and algorithm
     * Removed write_commands function in grid_search (closes bob.bio.base#71)
     * Improve replace directories
* bob.bio.gmm
  * v3.1.0 (Sep 22, 2017 14:05)
     * bob.bio.gmm!10 Removed Algorithm.read_probe method, since this is already solved via bob.bio.base
     * bob.bio.gmm!9 Use generators instead of list to concatenate the loaded training data
     * bob.bio.gmm!12 Doc fixes
     * bob.bio.gmm!11 Python36 & docs fixes
  * minor
     * Migrate to conda based CI
     * Propagated --allow-missing-files to the UBM training
     * Fixed issue bob.bio.gmm#22
* bob.bio.face
  * v3.3.0 (Sep 22, 2017 13:17)
     * bob.bio.face!78 Removed Algorithm.read_probe method, since this is already solved via bob.bio.base
     * bob.bio.face!33 improve the score files by adding attack type information
     * [ci] Droped python 3.4 support and added python 3.6
     * bob.bio.face!30 Updated baseline script to search for executables
  * minor
     * Implemented IJBA customized plot
     * Make the original_directory and annotation_directory a property
     * Created IJBB high level interface
     * Added script to display face annotations provided by a database.
     * Migrate to conda based CI
     * improve docs and tests
* bob.bio.spear
  * v3.1.1 (Sep 22, 2017 14:48)
     * bob.bio.spear!36 Docs url fixes
  * minor
     * pass kwargs in the base file class
     * Migrate to conda based CI
     * Improved docs
* bob.bio.video
  * v3.3.0 (Sep 22, 2017 13:41)
     * bob.bio.video!20 Docs url fix
     * bob.bio.video!19 Python36 & docs fixes
     * bob.bio.video!18 Removed`Algorithm.read_probe`
  * minor
     * Add function as_array() to FrameContainer
     * Fixed youtube db load function
     * The original_directory and annotation_directory are now a property
     * Migrated to conda based CI
     * Package now added to joint documentation
     * Missing annotations are now handled in the Preprocessor Wrapper
     * Updated unit tests addressing missing annotation cases
     * Preprocessor Wrapper now able to return None, allowing --missing-files functionality
     * Added failsafevideo wrapper
     * Added Video annotator
* bob.bio.vein
  * v1.0.0 (Oct 20, 2017 13:29)
     * Initial release
     * Added bob.db.fv3d
     * Updated sample viewing script
     * Added blame script
     * Re-estructured Preprocessor to simplify experimentation and configuration
     * Unit tests for 3D fingervein database
     * Fixes to Maximum Curvature implementation; Improved references & documentation
     * Speeds-up the evaluation of vein probabilities
     * Updated functionality: If sample does not have ROI, then returns only image
     * Updated documentation: on grid resources and explanation on how to run
     * Added optional pre-cropping stage on preprocessor
     * Implemented normalized-cross-correlation algorithm
     * Added MLP trainer for watershed masker
     * Added watershed mask detector
     * Functionality allowing to view sample using a database name
     * Added Miura-match with rotation support
     * Support for view mode w/o extracted veins
     * Added watershed preprocessing debug-aid script
     * Added High Level Database Interface for putvein database
     * Added the doc and tests and config for the putvein database
     * HammingDistance class plus test
     * Update documentation on baseline results for rlt, mc, and wld
     * Remove Oleg's implementation of rotation-invariant matching
  * v1.0.1 (Oct 20, 2017 16:04)
     * Update `MANIFEST.in` to include necessary package files
  * minor
     * Ported to new CI
     * Updated utfvp interface
     * Fixed the index.rst to match joint docs requirements
     * Adaptations to allow vulnerability analysis
* bob.db.voxforge
  * v2.2.0 (Sep 24, 2017 11:39)
  * minor
     * Migrate to conda based CI
     * Improved docs
     * Removed bob_dbmanage download
* bob.pad.base
  * major
     * Migrate to conda based CI
     * Added --allow-missing-files option
     * Improved documentation
     * Moved from bob.pad.face SVM (bob implementation), one class GMM (scikit-learn) and logistic regression (scikit-learn) algorithms
     * Cleaned up and improved code. Added tests.
     * Replace the old PAD ISO metrics class with a script
     * Added clients option to FileListDB driver
     * Avoids feature blow-up when std==0.
     * Added predictions algorithm and padfile to label.
* bob.pad.face
  * major
     * Added High Level Database Interface (HLDI) for MIFS database
     * Annotations are added for MIFS database
     * Added a VideoSparseCoding preprocessor
     * Updated the documentation on anomaly detection-based PAD using Aggregated Db
     * Local face detection option was added to VideoFaceCrop class, using dlib and mtcnn
     * Unit tests for the classes used in IQM-GMM pad algorithm
     * Added landmark detection utils
     * Algorithms/classifiers are adapted to other non-face modalities
     * New protocol for Aggregated Database: grandtest-train-eval
     * New protocol for Aggregated Database: grandtest-mobio
     * Frame Selector is now acceptable in HLDIs of all databases
     * Removed bootstrap-buildout.py functionality
     * Added A base PAD file class
     * New protocol for Aggregated Database: grandtest-train-eval-<num_train_samples>
     * bob.extension.rc used in HLDIs
     * Migrated to conda-based CI
     * ALL algorithms are moved to bob.pad.base package
     * Fixed algorithms documentation links, pointing to bob.pad.base now.
     * The documentation of the package now linked to joint documentation properly.
     * Refactoring: duplicated database configs are removed
     * Refactoring: removed VideoQualityMeasure, replaced with Wrapper class
     * Refactoring: removed VideoLBPHistogram, replaced with Wrapper class
     * Refactoring: removed unused VideoDataLoader
     * Refactoring: created FaceCropAlign, replaces ImageFaceCrop + VideFaceCrop using Wrapper
     * Added Spatially Enhanced Histogram option to LBPHistogram class
     * Changes to the FrameDifference preprocessor: Estimate the bounding box
       from annotations if not available. This is usually estimated from eye
       annotations. Remove the unused check_face_size flag. Fixed the conda
       recipe bob.pad.face!63
* bob.db.oulunpu
  * patch
     * Initial release of OULU-NPU Database
     * Added protocols, documentation, and tests
     * Add annotation support and reorganize frame reading
     * Migrated to conda based CI
* bob.db.uvad
  * patch
     * Initial release of Unicamp Video-Attack Database
     * Added protocols, documentation, and tests
     * Migrated to conda based CI
